Introducing Object Viewer

The Object Viewer enables you to access certain files created by Sage 300 Construction and Real Estate applications without starting the applications themselves. This application improves the accessibility of Sage 300 Construction and Real Estate information because knowledge of how Sage 300 Construction and Real Estate works is not necessary in order to use this application.

You can view and print macro log files, system log files, print files (such as reports), text files, and print device files. You also can use the Object Viewer to run Sage 300 Construction and Real Estate -created macro files. The Object Viewer is automatically initiated by double-clicking in Windows Explorer on the file to be accessed. You can also access these files when they are attached to application records by double-clicking them on the File Links tab in Attachment windows.

Note: Not all Sage 300 Construction and Real Estate applications include the macro function. To determine if a particular application includes the Macro function, click on the application's Tool menu. If the Macros... command appears, the application can create and run macros.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources

For additional online resources for Sage products, visit the Sage Customer Portal. Use the portal to access the knowledgebase, chat online with customer support, or enter a customer support ticket.

For additional training on Sage products, visit Sage University.


Where to find information

Where you find information about each Sage 300 Construction and Real Estate application depends on what you are looking for.

This information | Is found here | And contains...
Sample Data | From a File menu, select Open Company Folder | Sample files used for testing features in the software.
Setup documentation | Manual is shipped to you | Installation information, decisions required before using the software, testing your setup, and entering beginning balances.
Online Help | From a Help menu, select Help Topics, or click an item in a window | Documentation about an application, including procedures. What's This Help provides descriptions of items in a window that are accessible while working in an application.
Release Notes | From a Help menu, select Release Notes | New features, changes, and requirements for the current version of an application.
Sage Services | From a Help menu, select Sage Services | Services and support provided by Sage and the license agreement.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources

For additional online resources for Sage products, visit the Sage Customer Portal. Use the portal to access the knowledgebase, chat online with customer support, or enter a customer support ticket.


About printer settings

The default printer settings, e.g., paper size, paper source, and orientation, for your workstation are used when printing files from this application. You can change the printer setup used in the current print session only. To change the printer options for future print jobs, click Settings on the Start menu, then click Printers. Select the printer whose options are to be changed. On the File menu, click Properties (Windows 95/98/Me) or Document Defaults (Windows NT) or Printing Preferences (Windows 2000).

Setting up printers

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources


About page settings

The default page settings for the margins, headings, and cover page are used when printing files from this application. Use Options (Tools menu) in TS-Main or another Sage 300 Construction and Real Estate application to modify page settings.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


About default fonts

The default font for your workstation is used when printing files from this application. You can change the font used in the current print session only. Use Customize (Tools menu) is TS-Main or another Sage 300 Construction and Real Estate application to change the default font.

Changing the fonts used for one print session

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


About print file types

When printing to a file, you can print to one of four types of files: print files (PRN), device files (DEV), text files (TXT), or HTML (HTM). The three-character file extensions are automatically assigned based on the type of file you choose for the printout.

  • Sage 300 Construction and Real Estate print file (PRN)—is a binary file accessed only by selecting Printouts from the File menu. Sage 300 Construction and Real Estate print files can be printed at any time to any installed printer using the font selected when the output was created. These print files can be displayed with the proper formatting using [Print Preview] in Print Selection windows.
  • Printer device file (DEV)—is a binary file specific to a selected printer. A device file holds all information necessary to copy the file to a printer, including driver information. Other types of print files rely on the printer drivers to print properly.
  • Plain text file (TXT)—is an ASCII file that can be accessed using text editors and word processors. Text files are displayed as plain text with a fixed font using [Print Preview] in Print Selection windows.
  • HTML (HTM)—is a Hypertext Markup Language file that can be read and displayed by a World Wide Web browser, such as Microsoft Internet Explorer. The format is textual with "format tags" that define how text and graphics associated with the file are to be displayed when the file is opened in a browser.

Tip: If you print to an incorrect file type, you can print the incorrect file to another print file of the correct type. This avoids having to reprint from the original source. Be aware that this option excludes printing from an HTML file type to any other file type. You can, however, print to an HTML file type from any other type.

Printing device files

Viewing and printing files

Printing to a file

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


About naming print files

When you print to a file rather than to a printer, the file must be given a name. There are several ways to name these files, so consider developing a naming convention to use throughout the office. Being consistent makes it easier to find a file to print or to delete a file when it is no longer needed.

Consider naming the file by including information about the application and operator who generated the file, and perhaps the date the file was created. For example, if Chris Jenkins (CJ) is working in Accounts Payable (AP) creating invoices, here are some sample print file names that could be used if printing to a file:

  • AP CJ Invoices 5-15
  • CJ AP Invoice Entry 5-15
  • 5-15 AP Invoices CJ
  • AP Invoices
  • 5-15-96 Invoice Entry - 6 invoices

Notes:

  • You can use up to 250 characters and spaces to name the file.
  • We recommend that you print and retain all journals and reports.

Viewing and printing files

Printing device files

Printing to a file

Deleting files

About print file types

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Changing drives when selecting a data folder

» How To > Work with Data Folders > Changing drives when selecting a company (data folder)

Changing drives when selecting a company (data folder)

Overview

Changing drives allows you to look for data folders on other drives without exiting the Sage 300 Construction and Real Estate application. For example, if a data folder is not in the list and is on a network drive, you can select the network drive so that data folders located on that drive are included in the data folder list.

  1. While selecting a company (data folder) in the Select Company window, click [Change drives].
  2. Select the desired drive(s). You can quickly select or cancel the selection of drives by using the [None] and [All] buttons. Data folders located on highlighted drives are included in the data folder list.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Searching for data folders

» How To > Work with Data Folders > Searching for data folders

Searching for data (company ) folders

Overview

You only need to search for a data folder if you have moved data folders using the operating system. In these cases, the location of the moved data folder is unknown, so you must search for it. The drives are searched for all folders that contain a global control file, TS.CTL.

  1. While in the Select Company window, click [Search] if the desired data folder is not in the list.
  2. Select the drives you want to search for data folders. You can quickly select or cancel the selection of drives by using the [None] and [All] buttons. Highlighted drives are searched.
  3. Click [OK] to start the search. All data folders that are found display in the Select Company window.

Note: Searching for data folders can take a significant amount of time depending on the number of drives and folders that must be searched. If you select only the drives you know contain data folders, the search time is reduced.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Previewing print information

Overview

When information is printed to a file instead of directly to a printer, and you decide the information is no longer necessary, you can delete the saved printout

  1. The Print Preview window opens when you double-click a text file (TXT), print file (PRN), or log file (LOG) in Explorer or an Attachments window.
  2. If necessary, change the view magnification by clicking [Zoom In] to enlarge the view or [Zoom Out] to decrease the view.
  3. Move through the print information using [Next] to move forward one page and [Previous] to move backward one page. Press [End] (on the keyboard) once to move to the end of the page you are viewing, and twice to move to the end of the last page in the file. Press [Home] (on the keyboard) once to move to the top of the page you are viewing, and twice to move to the top of the first page in the file.
  4. Select Print from the File menu to print the information, or click [Close] to close the application.

Notes:

  • The title of the Print Preview window displays the number of pages in the preview.
  • You can enlarge the Print Preview window by clicking the maximize button (second button from the right) in the upper right corner of the window.

Printing device files

Viewing and printing files

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Printing to a file

Overview

You can send print information for reports, journals, auditing files, etc. directly to the printer, or to a file to save until you want the information sent to the printer.

By printing to a file rather than directly to the printer, you can reprint the information as often as you like. For example, there are certain printouts that you can only print once. If the printer jams while printing, you may not be able to recreate the information. By printing to a file, you minimize the possibility of losing the printed information.

  1. From the File menu, select Print.
  2. Mark Print to file and click [Select file].
  3. Select if you want to print to a text, device, or print file in Save as type.
  4. Enter the name of the file in File name.
  5. Click [Save].
  6. Click [OK] to begin printing to the file.

Note: If you print to a file that has the same file name as an existing file, the existing file is not added to, but is overwritten. If you decide not to use the same file name, you can click [No] when asked if you want to replace the existing file.

Printing device files

Setting up printers

About printer settings

About print file types

About naming print files

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Viewing and printing files

Overview

You can change the printer you print to and the options associated with each printer you use. You can change or view the printer default, status mode, type of printer, network path, paper size, source for the paper, and orientation. Modifying the printer setup in the Printer Setup window in this application changes the print options for the current print job only. To change the printer options for future print jobs, click Settings on the Start menu, then click Printers. Select the printer whose options are to be changed. On the File menu, click Properties (Windows 95/98/ME) or Document Defaults (Windows NT) or Printing Preferences (Windows 2000).

  1. The Print Preview window opens so you can view the file before printing.

    2. How?

  2. From the File menu, select Print.
  3. Make your desired print selections, including unmarking Print to file if necessary.
  4. Click [OK] to begin printing.

Tips:

  • When previewing a large file, you can print the file before the preview is finished loading every page.
  • Printing a printout to another file is possible if Print to file is marked in the Printer Setup window in Step 3. This may be useful if you need a print file (PRN) in text format (TXT).

About default fonts

Closing the application

Changing the fonts used for one print session

About printer and scalable fonts

About print file types

About naming print files

Setting up printers

Printing device files

Viewing and printing files

Previewing print information

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Setting up printers

Overview

You can change the printer you print to and the options associated with each printer you use. You can change or view the printer default, status mode, type of printer, network path, paper size, source for the paper, and orientation. Modifying the printer setup in the Printer Setup window in this application changes the print options for the current print job only. To change the printer options for future print jobs, click Settings on the Start menu, then click Printers. Select the printer whose options are to be changed. On the File menu, click Properties (Windows 95/98/ME) or Document Defaults (Windows NT) or Printing Preferences (Windows 2000).

  1. From the File menu, select Print to change the settings for the current print job only.
  2. Select a printer from the Name list.
  3. Click [Properties] to change settings for the printer properties, such as, paper size, print quality, fonts, and device options. After viewing or changing the properties, click [OK] to return to the Printer Setup window.
  4. View or change any printer settings, including printer information, paper size, paper source, and orientation. You can also select to use printer fonts and print to a file.
  5. Click [OK] to start printing based on your selections.

Notes:

  • Printing a report wider than 132 characters compressed normally requires landscape orientation.
  • If the desired printer is not in the Name list, you must add the printer to the list. Refer to the Microsoft Windows documentation for information about installing printers.

About default fonts

Closing the application

Changing the fonts used for one print session

About printer and scalable fonts

About print file types

About naming print files

Setting up printers

Printing device files

Viewing and printing files

Previewing print information

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Changing the fonts used for one print session

  1. From the File menu, select Print.
  2. Click [Change Font].
  3. Select the font, font style, size, and other options.
  4. Click [OK] to return to the Printer Setup window.
  5. Click [Start] to print with the font selections.

Note: If the font you are looking for is not listed in the Font window, you may need to install the font. Refer to your printer manual and Microsoft Windows documentation for more information about installing fonts.

About default fonts

About printer and scalable fonts

About printer settings

Setting up printers

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Deleting files

Overview

When information is printed to a file instead of directly to a printer, and you decide the information is no longer necessary, you can delete the saved printout

  1. In the Print Preview window, verify that this is the file you want to delete, and click [Delete].
  2. Click [Yes] to send the file to the Windows Recycle Bin.

Tip: Files can also be deleted by selecting the file in Explorer and pressing [Delete].

Note: Be sure the file you are deleting is backed up or you have a printed copy if you want to refer to it later.

Closing the application

About printer settings

Setting up printers

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Running macros

Overview

When you have created a macro to perform a series of tasks and you want to start performing those tasks, run the macro. You can run a macro that has been previously created and saved.

  1. Double-click a shortcut that you created, or a macro file (MAC) in Explorer. You also can double-click a file link to a macro file (MAC) in an Attachment window.
  2. Complete all windows that prompt you for information. The macro begins processing in the background.

Tips:

  • The macro log file name is the macro name (at the time it was run) combined with LOG as the extension, such as, BONUSES.LOG.
  • Macro log files can be viewed and printed by double-clicking a macro log file (LOG) in Explorer.

Note: Not all Sage 300 Construction and Real Estateapplications include the macro function. To determine if a particular application includes the Macro function, click on the application's Tool menu. If the Macros... command appears, the application can create and run macros.

Viewing and printing files

Printing device files

Printing to a file

Changing macros

Printing macros

About macros definition

Setting up macros

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Changing your security password

Overview

Changing a user password can only be accomplished if security is on. Passwords can be changed by application administrators for users and roles (Tools > Application Administration) in TS-Main or another Sage 300 Construction and Real Estate application. Otherwise, operators can change passwords as often as they like when starting an application.

  1. Start the application in which you want to work.
  2. Enter your user name, press [Enter], and click [Change Password].
  3. Enter your old password, your new password, and press [Enter].
  4. Enter your new password again to verify that it was entered correctly. If verification fails, the password is not accepted.
  5. Click [OK]. You are notified that the password is accepted.

Note: Sage 300 Construction and Real Estate users and passwords are independent of network operators (users) and passwords.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Font window

Use to change the font used when printing during the current print job only. For help on an item in this window, click [image] on the window and then click the item.

Ab out default fonts

Changing the fonts used for one print session

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Print windows

Print Preview window

Printer Setup Confirmation window

Printer Setup window

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


About printer and scalable fonts

When printing, you can select to substitute printer fonts for any scalable font.

  • Printer fonts (also called device fonts)—are designed to work with a specific printer. Printer fonts include a pre-selected print size from the printer manufacturer. For example, an Okidata printer may include printer fonts of 10 cpi (characters per inch) and 12 cpi.
  • Scalable fonts—are used by the operating system. Scalable fonts allow you to print just about any size font. The size of the font can be scaled to fit the screen or page. Scalable fonts are useful to see how the printed document will appear before it is printed. The scalable fonts for Microsoft Windows are called True Typeâ fonts.

About printer settings

Setting up printers

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Closing the application

  • From the File menu, select Exit.
  • In the Print Preview window, click [Close].

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Changing drives overview

Overview

Changing drives allows you to look for data folders on other drives without exiting the Sage 300 Construction and Real Estate application. For example, if a data folder is not in the list and is on a network drive, you can select the network drive so that data folders located on that drive are included in the data folder list.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Deleting files overview

Overview

When information is printed to a file instead of directly to a printer, and you decide the information is no longer necessary, you can delete the saved printout.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Previewing print overview

Overview

Information on your screen can be viewed prior to sending it to the printer. After previewing, you have a number of options, including printing the entire file, printing a range of pages, printing to a file, or canceling the print preview.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Printing files overview

Overview

If printed information has been saved to a file instead of sending it directly to a printer, you can print the file whenever you are ready to send the information to the printer.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Printing to files overview

Overview

You can send print information for reports, journals, auditing files, etc. directly to the printer, or to a file to save until you want the information sent to the printer.

By printing to a file rather than directly to the printer, you can reprint the information as often as you like. For example, there are certain printouts that you can only print once. If the printer jams while printing, you may not be able to recreate the information. By printing to a file, you minimize the possibility of losing the printed information.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Running macros overview

Overview

When you have created a macro to perform a series of tasks and you want to start performing those tasks, run the macro. You can run a macro that has been previously created and saved.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Searching for data folders overview

Overview

You only need to search for a data folder if you have moved data folders using the operating system. In these cases, the location of the moved data folder is unknown, so you must search for it. The drives are searched for all folders that contain a global control file, TS.CTL.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Setting up printers overview

Overview

You can change the printer you print to and the options associated with each printer you use. You can change or view the printer default, status mode, type of printer, network path, paper size, source for the paper, and orientation. Modifying the printer setup in the Printer Setup window in this application changes the print options for the current print job only. To change the printer options for future print jobs, click Settings on the Start menu, then click Printers. Select the printer whose options are to be changed. On the File menu, click Properties (Windows 95/98/ME) or Document Defaults (Windows NT) or Printing Preferences (Windows 2000).

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Printing device files

  1. Double-click a device file (DEV) in Explorer or an Attachment window.
  2. Click [Printer Setup] to change the selected printer and the settings for that printer, including the selection for printing to a file.

    3. How?

  3. Click [Start] to begin printing and processing.

Setting up printers

Printing to a file

Viewing and printing files

About print file types

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


TSO_version

Object Viewer Help

TSO.chm version 12.1.0

May 7, 2012

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.